Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231124 - fileencodings in vimrc and BOM handling
Summary: fileencodings in vimrc and BOM handling
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 09:49 UTC by Sertaç Ö. Yıldız
Modified: 2008-02-25 15:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-25 15:29:23 UTC


Attachments (Terms of Use)

Description Sertaç Ö. Yıldız 2007-03-06 09:49:51 UTC
vim cannot handle files with a BOM with the default installed vimrc:

> if v:lang =~ "utf8$" || v:lang =~ "UTF-8$"
>   set fileencodings=utf-8,latin1
> endif

As 'encoding' above will be utf-8, the default setting of 'fileencodings' should
work fine.

Comment 1 Matthew Miller 2007-04-10 16:28:57 UTC
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.

Comment 2 Karsten Hopp 2008-02-25 15:29:23 UTC
this should be fixed  in the nex rawhide release, try changing 
set fileencodings=utf-8,latin1
to
set fileencodings=ucs-bom,utf-8,latin1


Note You need to log in before you can comment on or make changes to this bug.